#ifndef KIMODEM_ADAFRUIT_OLED_H
#define KIMODEM_ADAFRUIT_OLED_H

#include <Arduino.h>
#include <SPI.h>
#include <Wire.h>
#include <Adafruit_SSD1306.h>

class Display {
public:
	Display();

	void	Clear();
	void	Draw();
	bool	HasDisplay();

	void	Print(const char *);
	void	Println(const char *);
	void	SetCursor(int16_t x, int16_t y);
private:
	Adafruit_SSD1306	oled;
};



#endif